<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.DepartmentList">

    <LinearLayout
        android:layout_width="400dp"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:layout_marginTop="80dp"
        android:layout_marginBottom="80dp"
        android:background="@drawable/department_layer"

        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:layout_margin="2dp"
            android:background="@color/commonColor">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="8dp"
                android:background="@color/transparentColor"
                android:gravity="center"
                android:text="@string/selectDept"
                android:textColor="@color/white"
                android:textSize="20sp"
                android:textStyle="bold" />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="8dp"
            android:layout_weight="1"
            android:background="@color/white">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="0dp"
                android:background="@color/white"
                tools:listitem="@layout/department_list_item"
                android:scrollbars="vertical" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="4dp"
            android:background="@xml/border_top"
            android:orientation="horizontal"
            android:weightSum="2">

            <Button
                android:id="@+id/btnSave"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginBottom="6dp"
                android:layout_weight="1"
                android:background="@drawable/shape2"
                android:text="@string/save"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <Button
                android:id="@+id/btnCancel"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="6dp"
                android:layout_weight="1"
                android:background="@drawable/shape2"
                android:text="@string/cancel"
                android:textColor="@color/black"
                android:textSize="16sp" />

        </LinearLayout>

    </LinearLayout>

</RelativeLayout>